You are not logged in.

#1 2024-03-18 19:01:17

wolfisraging
Member
Registered: 2024-03-03
Posts: 6

Arch unable to clone repo for installation: [RESOLVED]

I am trying to install adw-gtk theme from aur, and I am getting this:

$ paru adw-gtk3 
                           
3 aur/adw-gtk-theme 1.1-2 [+11 ~0.00]
    LibAdwaita Theme for all GTK3 and GTK4 Apps. NOTE: This is a meta package which uses adw-gtk3 for GTK3 and official LibAdwaita theme for GTK4
2 aur/adw-gtk3-git 1.0.r2.a2a0114-1 [+14 ~0.22]
    The theme from libadwaita ported to GTK-3
1 aur/adw-gtk3 5.3-1 [+41 ~1.38]
    The theme from libadwaita ported to GTK-3
:: Packages to install (eg: 1 2 3, 1-3):
:: 1
:: Resolving dependencies...
:: There are 2 providers available for adw-gtk3:
:: Repository AUR:
    1) adw-gtk3  2) adw-gtk3-git  
Enter a number (default=1): 
:: Calculating conflicts...
:: Calculating inner conflicts...

Aur (1)       Old Version  New Version    Make Only
aur/adw-gtk3               5.3-1          No

:: Proceed to review? [Y/n]: 

:: Downloading PKGBUILDs...
 PKGBUILDs up to date
 nothing new to review
fetching devel info...
==> Making package: adw-gtk3 5.3-1 (Tue 19 Mar 2024 12:26:52 AM IST)
==> Retrieving sources...
==> ERROR: /home/braindotai/.cache/paru/clone/adw-gtk3/adw-gtk3 is not a clone of https://github.com/lassekongo83/adw-gtk3.git
    Aborting...
error: failed to download sources for 'adw-gtk3-5.3-1': 
error: packages failed to build: adw-gtk3-5.3-1

Paru version: paru v2.0.3 - libalpm v14.0.0
Kernel: 6.8.1-arch1-1
Pacman: v6.1.0 - libalpm v14.0.0

Tried looking into aur but unable to find relevent info quicky, could anyone please drop some useful links? or possible some known solutions if any.

Thanks for your time.

Last edited by wolfisraging (2024-03-21 19:43:48)

Offline

#2 2024-03-19 15:13:51

Lone_Wolf
Forum Moderator
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 12,054

Re: Arch unable to clone repo for installation: [RESOLVED]

/home/braindotai/.cache/paru/clone/adw-gtk3/adw-gtk3 is not a clone of https://github.com/lassekongo83/adw-gtk3.git

There is something in that folder (possibly a clone of another adw-gtk3 fork) , but it doesn't match what makepkg expects .
just delete /home/braindotai/.cache/paru/clone/adw-gtk3/ and it's contents so paru/makepkg have to redownload the repo .


Disliking systemd intensely, but not satisfied with alternatives so focusing on taming systemd.


(A works at time B)  && (time C > time B ) ≠  (A works at time C)

Online

#3 2024-03-19 19:49:35

wolfisraging
Member
Registered: 2024-03-03
Posts: 6

Re: Arch unable to clone repo for installation: [RESOLVED]

Thanks for the suggestion @Lone_Wolf. I did as you suggested, still getting same error. I tried deleting whole paru cache folder just in case, no change.
It is able to clone the buyt still showing error as below:

: Accept changes? [Y/n]: 
fetching devel info...
==> Making package: adw-gtk3 5.3-1 (Wed 20 Mar 2024 01:16:33 AM IST)
==> Retrieving sources...
  -> Cloning adw-gtk3 git repo...
Cloning into bare repository '/home/braindotai/.cache/paru/clone/adw-gtk3/adw-gtk3'...
remote: Enumerating objects: 4463, done.
remote: Counting objects: 100% (1184/1184), done.
remote: Compressing objects: 100% (539/539), done.
remote: Total 4463 (delta 719), reused 1050 (delta 629), pack-reused 3279
Receiving objects: 100% (4463/4463), 7.15 MiB | 5.47 MiB/s, done.
Resolving deltas: 100% (2345/2345), done.
==> Validating source files with md5sums...
    adw-gtk3 ... Skipped
==> Making package: adw-gtk3 5.3-1 (Wed 20 Mar 2024 01:16:37 AM IST)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving sources...
==> ERROR: /home/braindotai/.cache/paru/clone/adw-gtk3/adw-gtk3 is not a clone of https://github.com/lassekongo83/adw-gtk3.git
    Aborting...
error: failed to build 'adw-gtk3-5.3-1': 
error: can't build adw-gtk-theme-1.1-2, deps not satisfied: adw-gtk3
error: packages failed to build: adw-gtk3-5.3-1  adw-gtk-theme-1.1-2

Offline

#4 2024-03-19 20:01:50

seth
Member
Registered: 2012-09-03
Posts: 52,591

Re: Arch unable to clone repo for installation: [RESOLVED]

cat /home/braindotai/.cache/paru/clone/adw-gtk3/adw-gtk3/.git/config

Does this work if you use the AUR as the great taco intended? (Ie. clone the AUR repo and run makpkg inside)?

Offline

#5 2024-03-20 17:56:46

wolfisraging
Member
Registered: 2024-03-03
Posts: 6

Re: Arch unable to clone repo for installation: [RESOLVED]

seth wrote:
cat /home/braindotai/.cache/paru/clone/adw-gtk3/adw-gtk3/.git/config

Does this work if you use the AUR as the great taco intended? (Ie. clone the AUR repo and run makpkg inside)?

A little new to the great taco smile, I couldn't find PKGBUILD in the repo:

├── CONTRIBUTING.md
├── gitpush.sh
├── gtk
├── gtk4.md
├── LICENSE
├── meson.build
├── meson_options.txt
├── preview-customized.png
├── preview-dark.png
├── preview-light.png
├── README.md
└── version

I did install by following README and gtk4.md ... (adw-gtk3,4/libadwaita) but still on the gnome-tweaks I am not seeing any the themes which I installed as per the guidelines.

Just to mention that I did installed this through pacman without any flaw previously, after few weeks it stopped upgrading giving me same error which I mentioned earlier, so I thought clean installing the package would help, but after the uninstall now I unable to even install with same error as before.

Offline

#6 2024-03-20 18:15:55

seth
Member
Registered: 2012-09-03
Posts: 52,591

Re: Arch unable to clone repo for installation: [RESOLVED]

You're trying to build https://aur.archlinux.org/packages/adw-gtk3
https://wiki.archlinux.org/title/Arch_User_Repository

git clone https://aur.archlinux.org/adw-gtk3.git
cd adw-gtk3
makepkg -i

And that's not the content of a .git/config - looks more like the tail of "tree"

Offline

#7 2024-03-21 04:54:15

wolfisraging
Member
Registered: 2024-03-03
Posts: 6

Re: Arch unable to clone repo for installation: [RESOLVED]

seth wrote:

You're trying to build https://aur.archlinux.org/packages/adw-gtk3
https://wiki.archlinux.org/title/Arch_User_Repository

git clone https://aur.archlinux.org/adw-gtk3.git
cd adw-gtk3
makepkg -i

And that's not the content of a .git/config - looks more like the tail of "tree"

Thanks for helping a noob out. I got my solutions!

Just curious though, any parting thoughts on why I am the that error when installed through pacman? (I am using paru)

Offline

#8 2024-03-21 07:41:18

seth
Member
Registered: 2012-09-03
Posts: 52,591

Re: Arch unable to clone repo for installation: [RESOLVED]

You're not "installing through pacman", paru is a pacman wrapper that blends repos and AUR.
It's what's trying to build the AUR package for you (ie. what the clone/makpkg does, but in a more convoluted sophisticated elaborate way.

I've no idea why it failed there, that's why I asked for the git config of what paru might or not have cloned there.
Next to the 2nd link I posted, please also familarize yourself with https://wiki.archlinux.org/title/AUR_helpers


And please always remember to mark resolved threads by editing your initial posts subject - so others will know that there's no task left, but maybe a solution to find.
Thanks.

Offline

Board footer

Powered by FluxBB